Name: gtklp
Version: 1.2.7
Release: alt1.qa1

Summary: GTK utilities for CUPS
Summary(ru_RU.UTF-8): GTK утилиты для системы печати CUPS
License: GPL
Group: Graphical desktop/GNOME
Url: http://gtklp.sourceforge.net
Source0: %name-%version.src.tar.gz
Source1: ru.po
Source2: gtklp-ru.1
Source3: gtklpq-ru.1
Source4: cupsprinter.png
Source5: cupssetup.png
Source6: gtklp-logo.png
Source7: gtklp.png
Patch1: gtklp-1.0-noforceXmessage.patch
Patch2: gtklp-1.0-urlhandler.patch
BuildRequires: libcups-devel libgtk+2-devel automake_1.10
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel hostinfo libatk-devel libcups-devel libpango-devel libssl-devel libstdc++-devel pkgconfig

%description
GtkLP provides tools to make use and administration of
Common Unix Printing System (CUPS) easier.
 * GtkLP is a frontend to CUPS and a print dialog replacement.
 * GtkLPQ ia a printing queue management tool.

%description -l ru_RU.UTF-8
GtkLP облегчает использование и администрирование
Универсальной Системы Печати для UNIX (CUPS).
 * GtkLP - графический интерфейс для CUPS и новый диалог печати.
 * GtkLPQ - программа управления очередью печати.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
# translation
cat %SOURCE1 > po/ru.po

%build
%configure
# --without-cups-config
%make_build

%install
%makeinstall
%find_lang %name

install -m755 -d $RPM_BUILD_ROOT%_datadir/pixmaps
install -p -m644 %SOURCE4 %SOURCE5 %SOURCE6 %SOURCE7 $RPM_BUILD_ROOT%_datadir/pixmaps

# menus
install -d -m755 $RPM_BUILD_ROOT%_desktopdir/
cat << EOF > $RPM_BUILD_ROOT%_desktopdir/cupssetup.desktop
[Desktop Entry]
Type=URL
Version=1.0
Name=Configure CUPS
Name[ru]= CUPS 
Comment=Web interface to CUPS administration
Comment[ru]=  CUPS
Exec=http://127.0.0.1:631
Icon=cupssetup
Categories=Settings;HardwareSettings;Printing;
EOF

cat << EOF > $RPM_BUILD_ROOT%_desktopdir/gtklp.desktop
[Desktop Entry]
Version=1.0
Type=Application
Name=GTK CUPS Frontend
Name[ru]=GTK  CUPS
Comment=CUPS printing and administration frontend
Comment[ru]=     CUPS
Exec=gtklp
Icon=gtklp
Terminal=false
Categories=Settings;HardwareSettings;Printing;
EOF

cat << EOF > $RPM_BUILD_ROOT%_desktopdir/gtklpq.desktop
[Desktop Entry]
Version=1.0
Type=Application
Name=GTK CUPS Printer Queue
Name[ru]=GTK   CUPS
Comment=CUPS Printer Queue Manager
Comment[ru]=   CUPS
Exec=gtklpq
Icon=cupsprinter
Terminal=false
Categories=Settings;HardwareSettings;Printing;
EOF

# manpages
install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_mandir/ru/man1/gtklp.1
install -p -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_mandir/ru/man1/gtklpq.1
# alternatives
install -d %buildroot%_altdir
cat <<EOF >%buildroot%_altdir/%name
%_bindir/lpr	%_bindir/gtklp	20
%_mandir/man1/lpr.1.gz	%_mandir/man1/gtklp.1.gz	%_bindir/gtklp
%_mandir/ru/man1/lpr.1.gz	%_mandir/ru/man1/gtklp.1.gz	%_bindir/gtklp
%_bindir/lp	%_bindir/gtklp	20
%_mandir/man1/lp.1.gz	%_mandir/man1/gtklp.1.gz	%_bindir/gtklp
%_mandir/ru/man1/lp.1.gz	%_mandir/ru/man1/gtklp.1.gz	%_bindir/gtklp
EOF
# variable (always show GUI when printing)
install -d %buildroot%_sysconfdir/profile.d
cat <<EOF >%buildroot%_sysconfdir/profile.d/%name.sh
export GTKLP_FORCEX="1"
EOF
cat <<EOF >%buildroot%_sysconfdir/profile.d/%name.csh
setenv GTKLP_FORCEX "1"
EOF


%files -f %name.lang
%_bindir/gtklp*
%_mandir/man1/gtklp*
%_mandir/ru/man1/gtklp*
%_datadir/pixmaps/*
%_desktopdir/*
%_altdir/gtklp
%_sysconfdir/profile.d/gtklp* %attr(755,root,root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE

%changelog
* Mon Apr 18 2011 Igor Vlasenko <viy@altlinux.ru> 1.2.7-alt1.qa1
- NMU: converted menu to desktop file

* Sun Jan 24 2010 Vyacheslav Dikonov <slava@altlinux.ru> 1.2.7-alt1
- 1.2.7

* Fri Jan 15 2010 Repocop Q. A. Robot <repocop@altlinux.org> 1.0-alt1.1.qa1
- NMU (by repocop): the following fixes applied:
  * update_menus for gtklp
  * obsolete-call-in-post-alternatives-0.3 for gtklp
  * postclean-05-filetriggers for spec file

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.0-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Wed Dec 01 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- 1.0
- alternatives (substitute lp & lpr)
- misc fixes

* Wed Aug 04 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9r-alt2
- no adjustment of CUPS settings in %post (bug 4142)

* Sat May 15 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9r-alt1
- 0.9r, control in %post

* Fri Nov 01 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt3
- New build (using gcc 3.2), CUPS "Izvrat" mode fix

* Wed Jul 10 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt2
- Russian man pages added

* Tue Jul 09 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt1
- ALTLinux build
- Translation update
